%{?python_enable_dependency_generator}

%global srcname kubernetes

Summary:    Python client for the kubernetes API.
Name:       python-%{srcname}
Version:    24.2.0
Release:    3%{?dist}
License:    ASL 2.0
URL:        https://pypi.python.org/pypi/kubernetes
Source0:    https://github.com/kubernetes-client/python/archive/v%{version}.tar.gz

BuildArch:  noarch

%package -n python3-%{srcname}
Summary:    Kubernetes Python Client
BuildRequires:  git python3-devel python3-rpm-macros python3-setuptools 
Requires:  python3-adal python3-certifi python3-six python3-dateutil python3-setuptools 
Requires:  python3-urllib3 python3-PyYAML python3-google-auth python3-websocket-client

%description -n python3-%{srcname}
Python client for the kubernetes API.

%package -n python3-%{srcname}-tests
Summary:    Tests python-kubernetes library
Requires:  python3-nose python3-py python3-mock
Requires:  python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-tests
Tests python-kubernetes library

%description
Python client for the kubernetes API.

%prep
%autosetup -n python-%{version} -S git

%build
%py3_build

%install
%py3_install
cp -pr kubernetes/test %{buildroot}%{python3_sitelib}/%{srcname}/
cp -pr kubernetes/e2e_test %{buildroot}%{python3_sitelib}/%{srcname}/

%check

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%exclude %{python3_sitelib}/%{srcname}/test
%exclude %{python3_sitelib}/%{srcname}/e2e_test

%files -n python3-%{srcname}-tests
%license LICENSE
%{python3_sitelib}/%{srcname}/test
%{python3_sitelib}/%{srcname}/e2e_test

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 24.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 24.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 Shuo Wang <abushwang@tencent.com> - 24.2.0-1
- initial build
